/* created 2006
 by David A. Mellis
 modified 30 Aug 2011
 by Tom Igoe and Scott Fitzgerald */


const int ledPin = 9; // a LED az Arduino 9-es lábán van 
int incomingByte;      // a bejövő byte-okat tároló változónk

void setup() {
  // soros port megnyitása
  Serial.begin(9600);
  // 9-es csatorna beállítása kimenetként
  pinMode(ledPin, OUTPUT);
}

void loop() {
  // amennyiben van bejövő adat:
  if (Serial.available() > 0) {
    // olvassuk ki az utolsó byte-ot a tárolóból
    incomingByte = Serial.read();
    // ha ez egy nagy H (ASCII 72), kapcsoljuk be a LED-et
    if (incomingByte == 'H') {
      digitalWrite(ledPin, HIGH);
    } 
    // ha ez egy nagy L (ASCII 76), kapcsoljuk ki a LED-et
    if (incomingByte == 'L') {
      digitalWrite(ledPin, LOW);
    }
  }
}


